[libdefaults]
    default_realm = ZCU.CZ
 
    default_tgs_enctypes = aes256-cts des3-hmac-sha1 des3-cbc-sha1 des-cbc-md5 des-cbc-crc
    default_tkt_enctypes = aes256-cts des3-hmac-sha1 des3-cbc-sha1 des-cbc-md5 des-cbc-crc
    permitted_enctypes = aes256-cts des3-hmac-sha1 des3-cbc-sha1 des-cbc-md5 des-cbc-crc

    ticket_lifetime = 0d 8h 0m 0s
    renew_lifetime = 14d 0h 0m 0s
    forwardable = yes
    proxiable = no
    noaddresses = no

    dns_lookup_kdc = yes
    dns_lookup_realm = yes
    dns_fallback = yes

#
# Heimdal or AFS-migration kit compatible options
#
    default_etypes = des3-hmac-sha1 des-cbc-md5 des-cbc-crc
    v4_instance_resolve = yes
    forward = yes
    encrypt = yes
    krb4_get_tickets = no
    

[appdefaults]

#
# AFS-migration kit compatible options
#

    autologin = true
    forward = true
    forwardable = true
    encrypt = true
    renewable = true

    krb4_get_tickets = false
    krb4_convert = false

    krb5_run_aklog = true
    krb5_aklog_path = /usr/bin/aklog

    retain_ccache = false
    afs_retain_token = false
    check_quota = false
#
    
    kinit = {
	forwardable = yes
	proxiable = no
	no-address = no
    }
    telnet = {
	forward = true
	autologin = true
	encrypt = true
    }

[realms]
    ZCU.CZ = {
	kdc = kerberos1.zcu.cz
	kdc = kerberos2.zcu.cz
        kdc = kerberos3.zcu.cz
        admin_server = kerberos-adm.zcu.cz
	kpasswd_server = kerberos-adm.zcu.cz:464
        default_domain = zcu.cz
    }

    W2K.ZCU.CZ = {
	kdc = pdc.w2k.zcu.cz
    }
    
    KIV.ZCU.CZ = {
	kdc = kerberos1.kiv.zcu.cz
	admin_server = kerberos1.kiv.zcu.cz
    }
					
    TY306.FEK-PM.ZCU.CZ = {
            kdc = server.ty306.fek-pm.zcu.cz 
    }

    UL205.KTO.ZCU.CZ = {
        kdc = sql-server.ul205.kto.zcu.cz
    }

    META = {
        kdc = charon.zcu.cz
        kdc = sirion.ics.muni.cz
        kdc = nimloth.ics.muni.cz:89
        kdc = sal.ruk.cuni.cz:89
        admin_server = sirion.ics.muni.cz
    }
 
    ADMIN.META = {
        kdc = sirion.ics.muni.cz:880
        admin_server = sirion.ics.muni.cz:7490
        kpasswd_server = sirion.ics.muni.cz:4640
    }
 
    RUK.CUNI.CZ = {
	kdc = sal.ruk.cuni.cz
	kdc = golias.ruk.cuni.cz
	admin_server = sal.ruk.cuni.cz
	default_domain = ruk.cuni.cz
    }

    ICS.MUNI.CZ = {
        kdc = nimloth.ics.muni.cz
        kdc = sirion.ics.muni.cz:89
        kdc = grond.ics.muni.cz
        admin_server = nimloth.ics.muni.cz
        default_domain = ics.muni.cz
    }

[domain_realm]
    skurut.cesnet.cz = ICS.MUNI.CZ
    skirit.ics.muni.cz = ICS.MUNI.CZ
    nympha.zcu.cz = META
    minos.zcu.cz = META
    sirion.ics.muni.cz = META
    grond.ics.muni.cz = META
    grond-atm.ics.muni.cz = META
    grond-clip.ics.muni.cz = META
    grond-hippi.ics.muni.cz = META
    eru.ics.muni.cz = META
    eru-clip.ics.muni.cz = META
    eru-atm.ics.muni.cz = META
    eru-hippi.ics.muni.cz = META
    onyx.ics.muni.cz = META
    onyx-atm.ics.muni.cz = META
    onyx-clip.ics.muni.cz = META
    erebor.ics.muni.cz = META
    kirke.zcu.cz = META
    pasifae.zcu.cz = META
    hal.ruk.cuni.cz = META
    hal-atm.ruk.cuni.cz = META
    hal-clip.ics.muni.cz = META
    krb.aipsafe.cz = ZCU.CZ

    .zcu.cz = ZCU.CZ
    .civ.zcu.cz	= ZCU.CZ
    .fav.zcu.cz	= ZCU.CZ
    .fst.zcu.cz	= ZCU.CZ
    .pef.zcu.cz = ZCU.CZ
#
    .w2k.zcu.cz = W2K.ZCU.CZ
    .ty306.fek-pm.zcu.cz  = TY306.FEK-PM.ZCU.CZ
    .ul205.kto.zcu.cz = UL205.KTO.ZCU.CZ
#
     .kiv.zcu.cz = KIV.ZCU.CZ
      kiv.zcu.cz = KIV.ZCU.CZ
      fav.zcu.cz = KIV.ZCU.CZ

    .ruk.cuni.cz = RUK.CUNI.CZ
    .ics.muni.cz = ICS.MUNI.CZ

[domain_referral]
    .civ.zcu.cz = CIV.ZCU.CZ
    .w2k.zcu.cz = W2K.ZCU.CZ

[capaths]
	ZCU.CZ = {
		W2K.ZCU.CZ = .
		TY306.FEK-PM.ZCU.CZ = .
		UL205.KTO.ZCU.CZ = .
		KIV.ZCU.CZ = .
		META = .
		ADMIN.META = .
		ICS.MUNI.CZ = META
		RUK.CUNI.CZ = META
	}
	W2K.ZCU.CZ = {
		ZCU.CZ = .
		CIV.ZCU.CZ = .
	}
	KIV.ZCU.CZ = {
		ZCU.CZ = .
	}
	TY306.FEK-PM.ZCU.CZ = {
	        ZCU.CZ = .
        }
        UL205.KTO.ZCU.CZ = {
                ZCU.CZ = .
        }
	META = {
		ZCU.CZ = .
	}
	ADMIN.META = {
		ZCU.CZ = .
	}
	ICS.MUNI.CZ = {
		ZCU.CZ = META
	}
	RUK.CUNI.CZ = {
		ZCU.CZ = META
	}
[logging]
  kdc = FILE:/var/log/krb5kdc.log
  admin_server = FILE:/var/log/kadmin.log
  default = FILE:/var/log/krb5lib.log

